Announcement

Collapse
No announcement yet.

Photoshop CS system requirements

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • Photoshop CS system requirements

    Adobe lists
    Microsoft® Windows® 2000 with Service Pack 3 or Windows XP
    as a system requirement. Since I have Windows ME, I'm wondering if anyone is running Photoshop CS on ME. Will it run on less than Adobe has listed?


    Ken

  • #2
    Take this as a not-so-gentle hint to run screaming away from WinME.

    Many of the "requirements" don't really mean it won't run, just that there will be some sort of impairment in functionality.

    WinME really was a buggy, miserable OS. Be glad for a cost-justification.
    Learn by teaching
    Take responsibility for learning

    Comment


    • #3
      When I first got Photoshop 7 I had an underqualified computer. I don't remember if it was the OS or CPU or both. So there is a chance it will work on yours. Maybe you could try out the demo version when it is released.

      Comment


      • #4
        Originally posted by Doug Nelson
        Take this as a not-so-gentle hint to run screaming away from WinME.

        Many of the "requirements" don't really mean it won't run, just that there will be some sort of impairment in functionality.

        WinME really was a buggy, miserable OS. Be glad for a cost-justification.
        I have read not so favorable reviews of Windows ME before , but I've been running it for at least 2 years with no problems at all.
        I'm happy with photoshop 7 so if it's going to mean I have to upgrade windows along with photoshop, I'll just stick with the setup I currently have.



        Ken

        Comment


        • #5
          More important than the upgrade considerations are the considerations of what you might really need -- or be missing. You might try a look at the summaries here to see if there is anything you need in an upgrade of PS and find that more important than sticking with an OS.

          http://bermangraphics.com/press/photoshopcs.htm

          Comment


          • #6
            The official word from Adobe:

            "The Photoshop CS installer will not run under anything earlier than Win2K. The app won't run under anything earlier than Win2K. Win2K or later is a hard requirement."
            Learn by teaching
            Take responsibility for learning

            Comment


            • #7
              From a computer tech...

              Couldn't resist jumping in and making a comment.

              I've been doing computer work, support, technical, etc for the better part of 15 years and most recently doing home support for people and small businesses.

              The majority of problems I'm seeing are people still running Win98 and most especially WinME. Oh, I fully agree that for some it runs just fine and they've had no problems, but when the problems DO occur, the choices for repair are even more so limited. At least with WinXP you've got System Restore options and better overall support.

              Just my 2cents, I've never felt it my place to tell someone they "have" to upgrade for any reason...but giving them the full ramifications of how much their continued support will cost is usually enough to convince on it's own.

              Best of luck.

              Comment


              • #8
                Originally posted by Doug Nelson
                run screaming away from WinME.
                I second the motion.. go back to win98 or move up to 2k or xp.

                Comment

                Related Topics

                Collapse

                • d_kendal
                  I can't take any more of XP!!
                  by d_kendal
                  I've really had it with windows (and it's not because
                  I'm inexperienced - I've used 3.1, 95, 98, and XP) I've had sooo many problems and it hasn't really helped deleting everything and reloading Windows, so I give up. I'm very soon switching to Linux (Mandrake 8.2).
                  When I first bought...
                  03-27-2002, 02:13 PM
                • albatrosss
                  Photoshop CS: Any problems with Vista?
                  by albatrosss
                  I need a new computer and will buy it shortly. I have heard that there is a problem loading and/or running Photoshop using Vista. I am using CS and wonder if anyone is having difficulties running CS using Vista. If so I will strongly consider installing XP.

                  Thanks.
                  02-23-2008, 05:33 PM
                • Kass45
                  Photoshop CS
                  by Kass45
                  I have PS7 and downloaded a demo of PScs. Found out it won't work on win98se, only win2000 and xp. Why such a narrow os usability? Are there any of the plugins, or actions or anything that will work on win98? I liked the look of some of the special effects of cs.
                  08-02-2004, 09:47 PM
                • Roger Roberts
                  Any problems running PS6+PS7 on Win XP
                  by Roger Roberts
                  I was wondering if anyone was having problems with PS6 and PS7 installed on Win XP. Seems like I read somewhere on a newsgroup that some people did. I am considering taking advantage of the rebate on Amazon but would like to keep PS6 installed because of the books and tutorials I have yet to learn on...
                  05-22-2002, 08:34 PM
                • Andy D
                  PS7 Tech Support?
                  by Andy D
                  HI All,
                  I am a newbie here. I recently got a copy of PS7 and installed it on my XP machine but it seems to crash unpredictably. It is a bit on a pain tas you might imagine. I wondered whether anyone knows of any issues relating to compatability?

                  Cheers

                  Andy
                  02-13-2004, 05:18 AM
                Working...
                X